Bug 1497646 - named-chroot does not support GeoIP
Summary: named-chroot does not support GeoIP
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bind
Version: 29
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Petr Menšík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1429656
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-02 10:34 UTC by Frank Crawford
Modified: 2019-10-14 16:40 UTC (History)
7 users (show)

Fixed In Version: bind-9.11.11-1.fc31 bind-9.11.11-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-08 00:26:53 UTC
Type: Bug


Attachments (Terms of Use)

Description Frank Crawford 2017-10-02 10:34:28 UTC
Description of problem:
The named-chroot script setup-named-chroot.sh does not mount the GeoIP DBs in the chroot environment, so they are not available for use.

Version-Release number of selected component (if applicable):
bind-chroot-9.11.1-2.P3.fc26.x86_64
bind-9.11.1-2.P3.fc26.x86_64
GeoIP-1.6.11-1.fc26.x86_64
GeoIP-GeoLite-data-2017.07-1.fc26.noarch
GeoIP-GeoLite-data-extra-2017.07-1.fc26.noarch

How reproducible:
100%

Steps to Reproduce:
1. Configure geoip-directory "/usr/share/GeoIP";
2. systemctl restart named-chroot
3. Check /var/named/data/named.run (or other logs)

Actual results:
Messages of the form:
GeoIP Country (IPv4) (type 1) DB not available

Expected results:
Messages of the form:
initializing GeoIP Country (IPv4) (type 1) DB

Additional info:
Can be fixed by adding the directories /var/named/chroot/usr/share/GeoIP and added the path /usr/share/GeoIP into ROOTDIR_MOUNT in the script setup-named-chroot.sh

Comment 1 Fedora End Of Life 2018-05-03 08:29:09 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2018-05-29 12:45:42 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 3 Petr Menšík 2018-07-19 12:30:57 UTC
Still not fullfilled

Comment 4 Jan Kurik 2018-08-14 10:57:27 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 5 Petr Menšík 2019-08-30 16:48:16 UTC
This is no longer necessary to edit script to support GeoIP in chroot. It is possible now to edit configuration /etc/named-chroot.files and add required database there.

Let's say City database is requested on F31, where geoip2 is already enabled. Database is in file /usr/share/GeoIP/GeoLite2-City.mmdb.

It is require to prepare empty directory for it in chroot:

mkdir -p /var/named/chroot*/usr/share/GeoIP/

Then add just the selected file or whole directory into named-chroot.files, but keep /var/named on the end. It should work after that.

But because directory has to be created manually, it would not hurt if it were packaged with this already prepared.

Comment 6 Fedora Update System 2019-10-03 10:19:56 UTC
FEDORA-2019-3405ab3960 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-3405ab3960

Comment 7 Fedora Update System 2019-10-03 10:23:48 UTC
FEDORA-2019-a2be1cb2e4 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-a2be1cb2e4

Comment 8 Fedora Update System 2019-10-04 22:14:22 UTC
bind-9.11.11-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-a2be1cb2e4

Comment 9 Fedora Update System 2019-10-04 22:50:14 UTC
bind-9.11.11-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-3405ab3960

Comment 10 Fedora Update System 2019-10-08 00:26:53 UTC
bind-9.11.11-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2019-10-14 16:40:41 UTC
bind-9.11.11-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.